<?php
// $Id: tab.php,v 1.5 2008-04-08 09:56:58 fgiva Exp $
include ("../dyn/session.inc");
//include_once "DB.php";
require_once "DB.php";   
include ("../dyn/connexion.php");
// * custom *
if(file_exists("../dyn/custom/var.inc")) {
   include("../dyn/custom/var.inc");
}
else {
  include("../dyn/var.inc");
}
//*
// * custom *
if(file_exists("../dyn/custom/lien.inc")) {
   include("../dyn/custom/lien.inc");
}
else {
  include("../dyn/lien.inc");
}
//*
// variable get ===============================================================
// $obj = nom de l'objet métier
// $recherche = chaine recherchee
// $premier = premier enregistrement a afficher
// ============================================================================
if(isset($_GET['nat'])) //ajout fred
    $nat=$_GET['nat'];
else
    $nat="";
if(isset($_GET['tri'])) //ajout fred
    $tricol=$_GET['tri'];
else
    $tricol="";
if(isset($_GET['obj']))
    $obj=$_GET['obj'];
else
    $obj="";
$methode="afficher";
// ===============================
// modification gestion des quotes
if(isset($_POST['recherche'])){
       $recherche=$_POST['recherche'];
       if (get_magic_quotes_gpc()) // magic_quotes_gpc = on
          $recherche1= StripSlashes($recherche);
       else
          $recherche1= $recherche;
}else
    if(isset($_GET['recherche'])){
        $recherche=$_GET['recherche'];
        if (get_magic_quotes_gpc()) // magic_quotes_gpc = on
          $recherche1= StripSlashes($recherche);
        else
          $recherche1= $recherche;
    }else{
        $recherche="";
        $recherche1="";
    }
$type_rech="";
if (isset ($_GET['typerech']))
   $type_rech=$_GET['typerech'];
if(isset($_GET['premier']))
    $premier=$_GET['premier'];
else
    $premier=0;
// librairie utilisée =========================================================
//include ("tab.class.php");
include("../obj/tabparc.class.php");        
// paramétrage ================================================================
// $DEBUG= mode debug 0 ou 1
// $serie= nombre enregistrement par page
// $ent= affichage
// $ico= nom de l icone
// $table= nom de la table
// $formulaire= nom du formulaire
// $edition= programme édition : nomfichier.pdf.php
// $champAffiche= tableau des champs à afficher  : array(nomchamp1, nomchamp2 ...)
// $champRecherche=  tableau des champs à rechercher  : array(nomchamp1, nomchamp2 ...)
// $tri= string = tri (order by nomchamp)
// $selection= selection dans la requete : " where nomchamp = '' "
// $ref = tableau des liens (facultatif)
$hiddenid=0;
include ("../sql/".$dsn['phptype']."/".$obj.".inc");
//connexion
$db=& DB :: connect($dsn, $db_option);
if (DB :: isError($db)) {
    die($db->getMessage());
}else{
    if($DEBUG==1)
    echo "La base ".$dsn['database']." est connectée.<br>";
    // variables collectivites
    $res = $db->query($sql_collectivite);
    if (DB :: isError($res))
       die($res->getMessage()."erreur ".$sql_collectivite);
    else{
        while ($row=& $res->fetchRow()){
              $ville=$row[0];
              $logo=$row[1];
    }}
    $res->free();
    // variable droit
    $sql =  "SELECT profil from droit where droit= '".$obj."'";
    $droit =$db->getOne($sql);
    If ($_SESSION['profil'] >= $droit){
//      if(!isset($href)){
      if (!isset($href[0]['lien'])){
         $href[0]['lien']= "form.php?obj=".$obj."&nat=".$nat."&tri=".$tricol; 
         $href[0]['id']= "";
         // * custom *
         if(file_exists("../dyn/custom/img/ajouter.png")) {
           $href[0]['lib']= "<img src='../dyn/custom/img/ajouter.png'  border='0'>";
         } else {
            $href[0]['lib']= "<img src='../img/ajouter.gif' border='0'>";
         }
         //*
      }                              
      if (!isset($href[1]['lien'])){
        $href[1]['lien'] = "form.php?obj=".$obj."&nat=".$nat."&tri=".$tricol."&idx="; 
        $href[1]['id']= "&premier=".$premier."&recherche=".$recherche1;
        if ($type_rech) $href[1]['id'].="&typerech=".$type_rech;
        $href[1]['lib']= "";
      }              
      if (!isset($href[2]['lien'])){
        $href[2]['lien'] = "form.php?obj=".$obj."&nat=".$nat."&tri=".$tricol."&idx="; 
        $href[2]['id']= "&ids=1&premier=".$premier."&recherche=".$recherche1;
        // * custom *
        if(file_exists("../dyn/custom/img/supprimer.png")) {
          $href[2]['lib']= "<img src='../dyn/custom/img/supprimer.png'  border='0'>";
        }
        else {
          $href[2]['lib']= "<img src='../img/supprimer.gif' border='0'>";
        }
      }
         //*
//       }  
    }else{
       $href[0]['lien']= "#";
       $href[0]['id']= "";
       $href[0]['lib']= "";
       $href[1]['lien'] = "";
       $href[1]['id']= "";
       $href[1]['lib']= "";
       $href[2]['lien'] = "#";
       $href[2]['id']= "";
       $href[2]['lib']= "";
    }
    //============================
    // * custom *
    include("../dyn/cg.css");
    if(file_exists("../dyn/custom/cg.css")) {
        include("../dyn/custom/cg.css");
    } 
    //*
    echo "<html>";
    echo"<head>";
    include("../dyn/entete.inc");
    echo "</head>";
    echo "<body>";
    echo "<div>";
    echo "<table id='entete' border='0'>";
    echo "<tr><td align='left'>".$ent."<td align='right'></td></tr></table>";

    echo "<table id='recherche' border='0'><tr><td>";
    echo "<a href='../scr/tdb.php?recherche=$recherche";
    if ($type_rech)
       echo "&typerech=$type_rech'>";
    else
        echo "'>";
    // * custom *
    if(file_exists("../dyn/custom/img/loupe.png")) {
        echo "<img src='../dyn/custom/img/loupe.png' border='0' height='30' hspace='4' alt='recherche'>";
    }else {
        echo "<img src='../img/loupe.png'  border='0' height='30' hspace='4' alt='recherche'>";
    }
    //*
    echo "</a>[$recherche]</td></tr>";
    echo "</table>";

    echo "<table id='aide' border='0'><tr><td>";
    echo "<a href='javascript:aide()'><img src='".$ico."' border='0' alt='aide'>";
    // * custom *
    if(file_exists("../dyn/custom/img/ico_aide.png")) {
       echo "<img src='../dyn/custom/img/ico_aide.png' align='top' border='0' alt='aide'>";
    }
    else {
           echo "<img src='../img/ico_aide.png' align='top' hspace='5' border='0' alt='aide'>";
    }
    //*
    echo "</a></td></tr>";
    echo "</table>";
/*    echo "<table id='icone' border='0'>";
    echo "<tr><td align='left'><img src='../img/".$obj.".png' align='bottom'  border='0'><td align='right'></td></tr></table>"; */
    echo "</div>";
     ?>
<script language="javascript">
    var pfenetre;
    var fenetreouverte=false;
function aide()
{
if(fenetreouverte==true)
       pfenetre.close();
pfenetre=window.open("../doc/<?php echo($obj);?>.html","Aide","toolbar=no,scrollbars=yes,status=no, width=600,height=400,top=120,left=120");
fenetreouverte=true;
}
</script>
<?php

    //==============================================================================
    if ($_SESSION['profil']>0){
      $tb= new tabparc($obj,$nat,$table, $serie,$champAffiche,$champRecherche,$tri,$tricol,$selection);
      $tb->entete($table,$edition,$recherche1);
      $tb->$methode($premier,$recherche,$href,$db,$DEBUG,$hiddenid);
    }else
        echo "Droits insuffisants ou reconnectez-vous.";
    //==============================================================================
    $db->disconnect();
    if ($DEBUG == 1)
        echo "La base ".$dsn['database']." est déconnectée.<br>";
}
// fin entete html
//echo "</div>";
include ("../dyn/menu.inc");
echo "</body>";
?>